<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller 8d</title>
</head>
<body>
    <main>

        <img src="" alt="">
        <img src="" alt="">
        <img src="" alt="">

        <p></p>
        <p></p>
        <p></p>
        <p></p>

        <h1></h1>
        <h1></h1>
        <h1></h1>
        <h1></h1>
        <h1></h1>
    
        <div></div>
        <div></div> 
        <div></div>

        <h4>Realice un script que recorra y muestre con un alert de JavaScript, cada tipo de nodo del árbol de una página HTML, que previamente haya creado.</h4>
        <input type="button" value="Mostrar Total Nodos" name="" id="" onclick="Mostrar_Total_Nodos()">

        <hr>
        <br>
        <h4>Realice dos tablas, una con las constantes de la interfaz node y otra con los métodos, indicando los valores que reciben y los que devuelven.</h4>

		<table border="1">
			<tr>
				<th>Columna 1</td>
				<th>Columna 2</td>
			</tr>
			<tr>
                <th>Elemento 1</td>
                <th>Elemento 2</td>
			</tr>
		</table>

        <br>

		<table border="1">
			<tr>
				<th>Columna 1</td>
                <th>Columna 2</td>
			</tr>
			<tr>
                <th>Elemento 1</td>
                <th>Elemento 2</td>
			</tr>
        </table>
        
        <br>
        
        <hr>
        <h4>Haga un pequeño esquema sobre cuáles son las distintas formas de acceder a un nodo en la estructura de árbol.</h4>

        <h4>Forma 1</h4>
        <p>const Forma_Uno = document.querySelector("Acceder");</p>

        <h4>Forma 2</h4>
        <p>const Forma_Dos = document.querySelectorAll("Acceder");</p>

        <h4>Forma 3</h4>
        <p>const Forma_Tres = document.getElementById(".Acceder");</p>

        <h4>Forma 4</h4>
        <p>const Forma_Cuatro = document.getElementsByTagName("Acceder"); </p>
        
        <hr>

        <h4>Describa en forma de puntos, cuáles son los pasos para crear y eliminar un nodo tipo element, que tiene a su vez un valor de texto.</h4>

       <ul>
           <li>var NuevoNodo = document.createElement("p"); </li>
           <li>var Valor = document.createTextNode(""); </li>
           <li>NuevoNodo.appendChild(Valor);</li>
       </ul>
        
        <hr>

        <h4>Enumere los pasos para realizar la inserción de un nuevo nodo en el árbol. Para ello hay que tener en cuenta que la página está cargada completamente.</h4>
        
        <ol>
            <li>const NuevoNodo = document.querySelector(".NuevoNodo");</li>
            <li>const elemento = document.createElement("p");</li>
            <li>Elemento.innerHTML = "Se inserto un nuevo nodo";</li>
            <li>NuevoNodo.appendChild(item);</li>
        </ol>

    </main>
    <script lang="javascript" src="Javascript.js"></script>
</body>
</html>